Create client contact from candidate
curl --request POST \
--url https://api.gospott.com/candidates/{candidateId}/contacts \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"clientId": "<string>",
"role": "<string>",
"department": "<string>",
"startDate": "2023-11-07T05:31:56Z",
"endDate": "2023-11-07T05:31:56Z",
"stageId": "<string>",
"keepShowingAsCandidate": true,
"emails": [
{
"email": "jsmith@example.com",
"isPrimary": true
}
],
"phoneNumbers": [
{
"phoneNumber": "<string>",
"isPrimary": true
}
],
"customAttributes": [
{
"attributeDefinitionId": "<string>",
"value": {
"viewType": "customText",
"text": "<string>"
}
}
]
}
'import requests
url = "https://api.gospott.com/candidates/{candidateId}/contacts"
payload = {
"clientId": "<string>",
"role": "<string>",
"department": "<string>",
"startDate": "2023-11-07T05:31:56Z",
"endDate": "2023-11-07T05:31:56Z",
"stageId": "<string>",
"keepShowingAsCandidate": True,
"emails": [
{
"email": "jsmith@example.com",
"isPrimary": True
}
],
"phoneNumbers": [
{
"phoneNumber": "<string>",
"isPrimary": True
}
],
"customAttributes": [
{
"attributeDefinitionId": "<string>",
"value": {
"viewType": "customText",
"text": "<string>"
}
}
]
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
clientId: '<string>',
role: '<string>',
department: '<string>',
startDate: '2023-11-07T05:31:56Z',
endDate: '2023-11-07T05:31:56Z',
stageId: '<string>',
keepShowingAsCandidate: true,
emails: [{email: 'jsmith@example.com', isPrimary: true}],
phoneNumbers: [{phoneNumber: '<string>', isPrimary: true}],
customAttributes: [
{
attributeDefinitionId: '<string>',
value: {viewType: 'customText', text: '<string>'}
}
]
})
};
fetch('https://api.gospott.com/candidates/{candidateId}/contacts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>"
}{
"status": 400,
"category": "SCHEMA_VALIDATION_FAILED",
"message": "Validation failed",
"requestId": "<string>",
"errors": [
{
"code": "REQUIRED",
"path": "<string>",
"message": "<string>",
"received": "<unknown>"
}
]
}{
"status": 0,
"message": "<string>",
"requestId": "<string>",
"category": "MALFORMED_REQUEST"
}{
"status": 404,
"category": "RESOURCE_NOT_FOUND",
"message": "Resource not found",
"requestId": "<string>"
}{
"status": 409,
"category": "RESOURCE_ALREADY_EXISTS",
"message": "Resource already exists",
"requestId": "<string>"
}{
"status": 0,
"message": "<string>",
"requestId": "<string>",
"category": "MALFORMED_REQUEST"
}{
"status": 0,
"message": "<string>",
"requestId": "<string>",
"category": "MALFORMED_REQUEST"
}{
"status": 500,
"category": "INTERNAL_ERROR",
"message": "Internal server error",
"requestId": "<string>"
}Client Contacts
Create client contact from candidate
Creates a client contact from an existing candidate and links the contact to the specified client.
POST
/
candidates
/
{candidateId}
/
contacts
Create client contact from candidate
Authorizations
API key for authentication. Get your API key from Settings → API Keys in your Spott dashboard.
Path Parameters
Body
application/json
Minimum string length:
1Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$Maximum array length:
100Show child attributes
Show child attributes
Maximum array length:
100Show child attributes
Show child attributes
Maximum array length:
100Show child attributes
Show child attributes
Response
The client contact was created. Returns the client contact ID.
Minimum string length:
1Was this page helpful?